Update a kanban card
curl --request PATCH \
--url https://api.journeybee.io/v1/cards/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"stage_uuid": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/cards/{uuid}"
payload = {
"title": "<string>",
"stage_uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', stage_uuid: '<string>'})
};
fetch('https://api.journeybee.io/v1/cards/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"title": "<string>",
"archived": true,
"board_uuid": "<string>",
"stage": {
"uuid": "<string>",
"label": "<string>"
},
"available_stages": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"assigned_users": [
{
"uuid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partners": [
{
"uuid": "<string>",
"name": "<string>"
}
]
}Cards
Update a kanban card
Rename a kanban card and/or move it to another stage. Use a stage_uuid from the card’s available_stages (see getCard).
PATCH
/
cards
/
{uuid}
Update a kanban card
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I